package cn.com.qmth.examcloud.core.basic.api.bean;

import java.util.List;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年5月25日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class UserBean implements JsonSerializable {

	private static final long serialVersionUID = -4157068941699776174L;

	/**
	 * 用户类型
	 */
	private String userType;

	/**
	 * 用户ID
	 */
	private Long userId;

	/**
	 * 显示名
	 */
	private String displayName;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 角色集合
	 */
	private List<RoleBean> roleList;

	public String getUserType() {
		return userType;
	}

	public void setUserType(String userType) {
		this.userType = userType;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getDisplayName() {
		return displayName;
	}

	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public List<RoleBean> getRoleList() {
		return roleList;
	}

	public void setRoleList(List<RoleBean> roleList) {
		this.roleList = roleList;
	}

}
