package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.support.JpaEntitySupport;

/**
 * 角色权限关联
 *
 * @author WANGWEI
 * @date 2018年5月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_ROLE_PRIV_RELATION")
@IdClass(RolePrivilegeRelationPK.class)
public class RolePrivilegeRelation extends JpaEntitySupport {

	private static final long serialVersionUID = 8849214483955278647L;

	@Id
	private String roleId;

	@Id
	private String privilegeId;

	public String getRoleId() {
		return roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}

	public String getPrivilegeId() {
		return privilegeId;
	}

	public void setPrivilegeId(String privilegeId) {
		this.privilegeId = privilegeId;
	}

}
